<TeXmacs|1.0.2>

<style|<tuple|help|axiom-tutorial>>

<\body>
  <apply|aboveTopic|../tutorialTOC.tm><apply|windowTitle|First
  steps><chapter|Chapter 1, First steps>

  <apply|Language|> belongs to the general class of programs known as
  ``computer algebra'' or ``symbolic manipulation'' packages. Such packages
  are generally capable of a wide range of mathematical operations, from
  simple arithmetic to (in <apply|Language|>'s case) abstract algebra. This
  does not mean that the user needs to know about such a wide range of
  mathematical subjects -- indeed, many practicing mathematicians would be
  familiar with only a subset of the topics which <apply|Language|> can
  handle.

  The first rule in getting familiar with <apply|Language|> is <with|font
  shape|italic|do not be intimidated>. <apply|Language|> may provide an
  unusually rich choice of features but you do not need to use them all --
  you will soon become familiar with those you need by actually using them.
  Like any computer package, <apply|Language|> has its own basic rules
  governing how you communicate with it and, whilst these may appear strange
  at first sight, they are not particularly complicated and will soon become
  familiar.

  Finally, you may, as you progress with <apply|Language|>, begin to feel
  that it is unduly fussy at times. It is fussy, but <with|font
  shape|italic|not> unduly so. <apply|Language|> insists on performing any
  operation only on objects which are (or can become) of the type for which
  that operation is defined; it also makes a point of ``considering all the
  possibilities''. <apply|Language|>'s careful approach ensures that it
  avoids many pitfalls which are present in less formal computer algebra
  systems and which can, at times, lead to completely spurious results.

  <tformat|<table|<row|<cell|<apply|docLink|oneStep01.tm|1.1 Beginning,
  ending ...>>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep02.tm|1.2 Simple
  arithmetic>>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep03.tm|1.3
  Assignments><apply|index|assignment><label|assignments>>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep04.tm|1.4 Setting
  types><label|settype>>|<cell|>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep05.tm|1.5 Keeping
  track>>|<cell|>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep06.tm|1.6 Accessing
  previous results, recalling input><label|previous>>|<cell|>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep07.tm|1.7 Continuation
  lines><apply|index|continuation>>|<cell|>>>>

  <tformat|<table|<row|<cell|<apply|docLink|oneStep08.tm|1.8
  Comments><apply|index|comment>>>|<row|<cell|>>|<row|<cell|<apply|fbox|<apply|docLink|../algebra/algebraTOC.tm|Chapter
  2>>>>>>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|settype|<tuple|<uninit>|?>>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|toc-1|<tuple|<uninit>|?>>
    <associate|assignments|<tuple|<uninit>|?>>
    <associate|idx-2|<tuple|<uninit>|?>>
    <associate|idx-3|<tuple|<uninit>|?>>
    <associate|previous|<tuple|<uninit>|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|idx>
      <tuple|<tuple|assignment>|<pageref|idx-1>>

      <tuple|<tuple|continuation>|<pageref|idx-2>>

      <tuple|<tuple|comment>|<pageref|idx-3>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|Chapter 1, First
      steps><value|toc-dots><pageref|toc-1><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
